> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lấy danh sách videos của 1 user



## OpenAPI

````yaml /vi/openapi/fireant-v1.yaml get /users/{userId}/videos
openapi: 3.1.0
info:
  version: v1
  title: FireAnt RESTFUL API
  description: Tài liệu đặc tả FireAnt RESTFUL API v1.0.0
servers:
  - url: https://api.fireant.vn
security: []
paths:
  /users/{userId}/videos:
    get:
      tags:
        - Users
      summary: Lấy danh sách videos của 1 user
      operationId: Users_GetUserVideos
      parameters:
        - name: userId
          in: path
          description: ID của user
          required: true
          schema:
            type: string
        - name: type
          in: query
          description: 'Loại bài viết (0: Bài viết mạng xã hội, 1: Tin tức, mặc định là 0)'
          required: false
          schema:
            format: int32
            type: integer
        - name: videoType
          in: query
          description: 'Loại bài viết (0: Video ngắn, 1: Video dài, mặc định là 0)'
          required: false
          schema:
            format: int32
            type: integer
        - name: offset
          in: query
          description: Vị trí bản ghi đầu tiên lấy về (Dùng để phân trang, mặc địch là 0)
          required: false
          schema:
            format: int32
            type: integer
        - name: limit
          in: query
          description: Số lượng tối đa bản ghi lấy về (Dùng để phân trang, mặc địch là 20)
          required: false
          schema:
            format: int32
            type: integer
      responses:
        '200':
          description: Thành công
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FireAnt.Api.Models.Posts.Post'
            text/json:
              schema:
                $ref: '#/components/schemas/FireAnt.Api.Models.Posts.Post'
        '400':
          description: Có lỗi khi thực hiện thao tác
        '404':
          description: User không tồn tại
      security:
        - oauth2:
            - posts-read
components:
  schemas:
    FireAnt.Api.Models.Posts.Post:
      type: object
      properties:
        postID:
          format: int32
          type: integer
        userName:
          type: string
        user:
          $ref: '#/components/schemas/FireAnt.Api.Models.Users.UserItem'
        title:
          type: string
        description:
          type: string
        summary:
          type: string
        hasSummary:
          type: boolean
        type:
          format: int32
          type: integer
        newsType:
          format: int32
          type: integer
        videoUrl:
          type: string
        videoThumbnailUrl:
          type: string
        videoWidth:
          format: int32
          type: integer
        videoHeight:
          format: int32
          type: integer
        language:
          type: string
        postGroup:
          $ref: '#/components/schemas/FireAnt.Api.Models.Posts.PostGroup'
        postSource:
          $ref: '#/components/schemas/FireAnt.Api.Models.Posts.PostSource'
        isSourceContentFull:
          type: boolean
        postSourceUrl:
          type: string
        content:
          type: string
        originalContent:
          type: string
        contentURL:
          type: string
        isAIGenerated:
          type: boolean
        date:
          format: date-time
          type: string
        priority:
          format: int32
          type: integer
        hasImage:
          type: boolean
        hasFile:
          type: boolean
        link:
          type: string
        linkImage:
          type: string
        linkTitle:
          type: string
        linkDescription:
          type: string
        sentiment:
          format: int32
          type: integer
        approved:
          type: boolean
        isTop:
          type: boolean
        isExpertIdea:
          type: boolean
        liked:
          type: boolean
        totalLikes:
          format: int32
          type: integer
        totalReplies:
          format: int32
          type: integer
        totalShares:
          format: int32
          type: integer
        replyToPostID:
          format: int32
          type: integer
        referToPostID:
          format: int32
          type: integer
        taggedSymbols:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.Posts.TaggedSymbol'
        taggedIndividuals:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.Posts.TaggedIndividual'
        taggedHashTags:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.Posts.TaggedHashTag'
        taggedUsers:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.Posts.TaggedUser'
        images:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.Posts.PostImage'
        files:
          type: array
          items:
            $ref: '#/components/schemas/FireAnt.Api.Models.Posts.PostFile'
        roomID:
          format: int32
          type: integer
        roomName:
          type: string
        isRoomSticky:
          type: boolean
        videoType:
          format: int32
          type: integer
        isVideo:
          type: boolean
        isEmagazine:
          type: boolean
        isInfographic:
          type: boolean
        lastRepliedDate:
          format: date-time
          type: string
        isLivestream:
          type: boolean
        livestreamStarted:
          type: boolean
        livestreamEnded:
          type: boolean
        streamingUrl:
          type: string
        streamingKey:
          type: string
        youtubeStreamingUrl:
          type: string
        youtubeStreamingKey:
          type: string
        facebookStreamingUrl:
          type: string
        facebookStreamingKey:
          type: string
        livestreamAction:
          type: boolean
        livestreamActionTitle:
          type: string
        livestreamActionUrl:
          type: string
        livestreamActionRoute:
          type: string
        repliesDisabled:
          type: boolean
        repliesModerationRequired:
          type: boolean
        pendingApproval:
          type: boolean
    FireAnt.Api.Models.Users.UserItem:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        bio:
          type: string
        isAuthentic:
          type: boolean
        followed:
          type: boolean
    FireAnt.Api.Models.Posts.PostGroup:
      type: object
      properties:
        postGroupID:
          format: int32
          type: integer
        name:
          type: string
        description:
          type: string
    FireAnt.Api.Models.Posts.PostSource:
      type: object
      properties:
        postSourceID:
          format: int32
          type: integer
        name:
          type: string
        url:
          type: string
    FireAnt.Api.Models.Posts.TaggedSymbol:
      type: object
      properties:
        symbol:
          type: string
        price:
          format: double
          type: number
        change:
          format: double
          type: number
        percentChange:
          format: double
          type: number
        changeSince:
          format: double
          type: number
        percentChangeSince:
          format: double
          type: number
    FireAnt.Api.Models.Posts.TaggedIndividual:
      type: object
      properties:
        individualID:
          format: int32
          type: integer
        name:
          type: string
    FireAnt.Api.Models.Posts.TaggedHashTag:
      type: object
      properties:
        hashTagID:
          format: int32
          type: integer
        symbol:
          type: string
        name:
          type: string
    FireAnt.Api.Models.Posts.TaggedUser:
      type: object
      properties:
        userID:
          type: string
        name:
          type: string
    FireAnt.Api.Models.Posts.PostImage:
      type: object
      properties:
        imageID:
          format: int32
          type: integer
        base64Image:
          type: string
        imageUrl:
          type: string
    FireAnt.Api.Models.Posts.PostFile:
      type: object
      properties:
        fileID:
          format: int32
          type: integer
        fileName:
          type: string
        fileExtension:
          type: string
        base64Content:
          type: string
        fileContentUrl:
          type: string
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          scopes:
            accounts-read: Đọc danh sách tài khoản giao dịch chứng khoán
            accounts-write: Liên kết tài khoản chứng khoán
            orders-read: Đọc danh sách lệnh giao dịch chứng khoán
            orders-write: Đặt, sửa, hủy lệnh giao dịch chứng khoán
            companies-read: Đọc thông tin doanh nghiệp
            companies-write: Tạo mới, cập nhật, xóa thông tin doanh nghiệp
            individuals-read: Đọc thông tin cá nhân
            individuals-write: Tạo mới, cập nhật, xóa thông tin cá nhân
            finance-read: Đọc thông tin tài chính
            finance-write: Tạo mới, cập nhật, xóa thông tin tài chính
            posts-write: Đăng bài viết
            posts-read: Lấy nội dung các bài viết của cộng đồng
            symbols-read: Đọc thông tin mã chứng khoán
            symbols-write: Tạo mới, cập nhật, xóa mã chứng khoán
            users-read: Đọc dữ liệu công khai của người dùng
            user-data-read: Đọc tất cả dữ liệu của người dùng hiện tại
            user-data-write: Cập nhật tất cả dữ liệu của người dùng hiện tại
            search: Tìm kiếm
            academy-read: Đọc dữ liệu các khóa học
            academy-write: Đăng ký khóa học
            blog-read: Đọc dữ liệu blog
            investopedia-read: Đọc dữ liệu thuật ngữ
            commodities-read: Đọc dữ liệu hàng hóa phái sinh
            all_claims: All
            roles: Role
          authorizationUrl: https://accounts.fireant.vn/connect/authorize
      description: OAuth2 Implicit Grant

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.